dots.v2.volumes.byVolume_id().actions.byAction_id().get()

Generated on 13 Nov 2026 from DoTs version v1.24.0

Usage

client.v2.volumes.byVolume_id(volume_id).actions.byAction_id(action_id).get(requestConfiguration?: RequestConfiguration<WithAction_ItemRequestBuilderGetQueryParameters>): Promise<undefined | WithAction_GetResponse>

Description

To retrieve the status of a volume action, send a GET request to /v2/volumes/{volume_id}/actions/{action_id}.

Parameters

Path Parameters

volume_id string required

Example: 7724db7c-e098-11e5-b522-000f53304e51

The ID of the block storage volume.

action_id integer required

Example: 36804636

A unique numeric ID that can be used to identify and reference an action.

Min: 1

Query Parameters

perPage integer optional

Example: 2

Number of items returned per page

Default: 20

Min: 1

Max: 200

page integer optional

Example: 1

Which 'page' of paginated results to return.

Default: 1

Min: 1

Request Sample

Show Request Sample
import { FetchRequestAdapter } from "@microsoft/kiota-http-fetchlibrary";
import {
    createDigitalOceanClient,
    DigitalOceanApiKeyAuthenticationProvider,
} from "@digitalocean/dots";

const authProvider = new DigitalOceanApiKeyAuthenticationProvider(process.env.DIGITALOCEAN_TOKEN!);
const adapter = new FetchRequestAdapter(authProvider);
const client = createDigitalOceanClient(adapter);

const response = await client.v2.volumes
    .byVolume_id("7724db7c-e098-11e5-b522-000f53304e51").actions
    .byAction_id(36804636).get();

Response Example

Show Response Example
{
  "action": {
    "id": 72531856,
    "status": "completed",
    "type": "attach_volume",
    "started_at": "2020-11-12T17:51:03Z",
    "completed_at": "2020-11-12T17:51:14Z",
    "resource_type": "volume",
    "region": {
      "name": "New York 1",
      "slug": "nyc1",
      "sizes": [
        "s-1vcpu-1gb",
        "s-1vcpu-2gb",
        "s-1vcpu-3gb",
        "s-2vcpu-2gb",
        "s-3vcpu-1gb",
        "s-2vcpu-4gb",
        "s-4vcpu-8gb",
        "s-6vcpu-16gb",
        "s-8vcpu-32gb",
        "s-12vcpu-48gb",
        "s-16vcpu-64gb",
        "s-20vcpu-96gb",
        "s-24vcpu-128gb",
        "s-32vcpu-192gb"
      ],
      "features": [
        "private_networking",
        "backups",
        "ipv6",
        "metadata"
      ],
      "available": true
    },
    "region_slug": "nyc1"
  }
}

More Information

See /v2/volumes/{volume_id}/actions/{action_id} in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.